start-cli(1)

NAME
start-cli

SYNOPSIS
start-cli [-c|--config] [-H|--host] [-r|--registry] [--registry-hostname] [--s9pk-s3base] [--s9pk-s3bucket] [-t|--tunnel] [-p|--proxy] [--cookie-path] [--developer-key-path] [-h|--help] [-V|--version] [subcommands]

DESCRIPTION

OPTIONS

-c, --config <CONFIG>
    Path to configuration file

-H, --host <HOST>
    URL of the StartOS server

-r, --registry <REGISTRY>
    URL of the registry

--registry-hostname <REGISTRY_HOSTNAME>
    Registry server hostname

--s9pk-s3base <S9PK_S3BASE>
    Base URL for publishing s9pks

--s9pk-s3bucket <S9PK_S3BUCKET>
    S3 bucket to publish s9pks to (should correspond to s3base)

-t, --tunnel <TUNNEL>
    Tunnel server address

-p, --proxy <PROXY>
    HTTP/SOCKS proxy URL

--cookie-path <COOKIE_PATH>
    Path to cookie file

--developer-key-path <DEVELOPER_KEY_PATH>
    Path to developer signing key

-h, --help
    Print help

-V, --version
    Print version

SUBCOMMANDS

start-cli-auth(1)
    Commands related to Authentication i.e. login, logout

start-cli-backup(1)
    Commands related to backup creation and backup targets

start-cli-db(1)
    Commands to interact with the db i.e. dump, put, apply

start-cli-diagnostic(1)
    Commands to display logs, restart the server, etc

start-cli-disk(1)
    Commands for listing disk info and repairing

start-cli-echo(1)
    Echo a message back

start-cli-flash-os(1)
    Flash StartOS to a drive

start-cli-git-info(1)
    Display the git hash of this build

start-cli-init(1)
    Commands for initialization

start-cli-init-key(1)
    Create a new developer key

start-cli-kiosk(1)
    Commands for kiosk mode

start-cli-net(1)
    Network commands

start-cli-notification(1)
    Create, delete, or list notifications

start-cli-package(1)
    Commands related to packages

start-cli-pubkey(1)
    Get the developer public key

start-cli-registry(1)
    Commands related to the registry

start-cli-s9pk(1)
    Commands for interacting with s9pk files

start-cli-server(1)
    Commands related to the server i.e. restart, update, and shutdown

start-cli-setup(1)
    Commands related to the initial setup

start-cli-ssh(1)
    Commands for interacting with ssh keys i.e. add, delete, list

start-cli-state(1)
    Display the current api specification

start-cli-tunnel(1)
    Commands related to StartTunnel

start-cli-util(1)
    Command for calculating the blake3 hash of a file

start-cli-wifi(1)
    Commands related to wifi networks i.e. add, connect, delete

VERSION
v0.4.0-alpha.21